<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangFormulas](./bitburner.gangformulas.md) &gt; [respectGain](./bitburner.gangformulas.respectgain.md)

## GangFormulas.respectGain() method

Calculate respect gain per tick.

**Signature:**

```typescript
respectGain(gang: GangGenInfo, member: GangMemberInfo, task: GangTaskStats): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

gang


</td><td>

[GangGenInfo](./bitburner.ganggeninfo.md)


</td><td>

Gang info from [getGangInformation](./bitburner.gang.getganginformation.md)


</td></tr>
<tr><td>

member


</td><td>

[GangMemberInfo](./bitburner.gangmemberinfo.md)


</td><td>

Gang info from [getMemberInformation](./bitburner.gang.getmemberinformation.md)


</td></tr>
<tr><td>

task


</td><td>

[GangTaskStats](./bitburner.gangtaskstats.md)


</td><td>

Gang info from [getTaskStats](./bitburner.gang.gettaskstats.md)


</td></tr>
</tbody></table>

**Returns:**

number

The calculated respect gain.

